function SetBroadcaster(broad, val) {
	// Enables or disables the MP3 textbox options. That is all.
	// In: ID of the broadcaster, and a boolean of whether to disable (true) or enable (false) it.
	// Out: Nothing.
	if (val) {
		document.getElementById(broad).setAttribute("disabled", val);
	} else {
		document.getElementById(broad).removeAttribute("disabled");
	}
}

function SetMP3InfoFile(pathobj) {
	const prefbundle = document.getElementById("prefbundle");
	var mp3file = FilePicker(prefbundle.getString("ChooseMP3File"),0);
	if (mp3file) pathobj.value = mp3file;
	try {
		document.getElementById("musicoptions").userChangedValue(pathobj);
	} catch (e) {
	}
}

function ShowMainOptions() {
	try {
		var geolocation = Components.classes["@mozilla.org/geolocation;1"].getService(Components.interfaces.nsIDOMGeoGeolocation);
	} catch (e) {
		document.getElementById("geoprefs").collapsed = true;
	}
	if (document.getElementById("enablegeo").checked) SetBroadcaster("bc_geo");
}

function ShowMP3Options() {
	if (navigator.platform == "Win32") document.getElementById("registry").disabled = false;
	var browser = GetWindowByType("navigator:browser");
	if (browser.document.getElementById("foxytunes-statusbar-panel")) document.getElementById("foxytunes").disabled = false;
	if (document.getElementById("mp3optionsgroup").selectedIndex == 3) SetBroadcaster("bc_textfile");
}

// Spews forth a file object for the stylesheet.
function GetStylesheet() {
	var DS = new Components.Constructor( "@mozilla.org/file/directory_service;1", "nsIProperties" );
	var myDirS = new DS( );
	var f = myDirS.get( "ProfD", Components.interfaces.nsIFile );
	f.append("deepestsender.css");
	return f;
}

// Loads the stylesheet.
function ShowFormatting() {
	var filecontents = "";
	var stylesheet = FileIO.open(GetStylesheet().path);
	if (stylesheet.exists()) {
		filecontents = FileIO.read(stylesheet);
	}
	document.getElementById("editorstyle").value = filecontents;
}

// Saves the stylesheet.
function SaveStylesheet() {
	var stylesheet = FileIO.open(GetStylesheet().path);
	FileIO.write(stylesheet, document.getElementById("editorstyle").value);
}

// Only Windows boxes will take ondialogaccept for prefwindows, so this catches it on Mac and Linux.
function CheckNotWin() {
	if (navigator.platform.indexOf("Win") < 0) {
		SaveStylesheet();
	}
}
